# How to perform local testing

Follow below steps to test your custom function locally:

- Install Python 3.11 for Windows (32 bit/64 bit) or Linux (enable 'Add to PATH')
- Copy/paste the `local_functions_test.py` file into your unzipped Lambda folder
- Copy/paste your custom `functions.py` into the Lambda folder (replace the existing `functions.py`)
- Create a virtual environment, install the dependencies and run the script as below:

##### Windows 
```
python -m venv env & env\Scripts\activate & pip install -r requirements.txt
python local_functions_test.py
```

##### Linux 
```
python -m venv env && source env/bin/activate && pip install -r requirements.txt
python local_functions_test.py
```

If you later need to re-activate the virtual environment, use `env\Scripts\activate`.

----------
# Regarding output folder 

The zip contains sample Parquet file data in the `output/` folder. 
If you wish to use your own data, you can use the `mdf2parquet_decode` executable locally to create a device folder with decoded Parquet files. 
Make sure the device folder does not include `_out` at the end and that you copy it into the `output/` folder in the same way as the sample data.

----------

# Regarding S3 access 

If you wish to also enable S3 upload, add your accesskey and secretkey in the script. You can use the S3 credentials provided in the CloudFormation outputs for copying data from the local disk to output bucket.