from pathlib import Path
import logging
from functions import process_decoded_data
import boto3 

# Specify variables
bucket_output = None # "yourinputbucket-parquet"
access_key = "YOUR_ACCESS_KEY"
secret_key = "YOUR_SECRET_KEY"
decoded_path = "output" # Parquet files should be stored in <decoded_path>/<device>/<message>/<yyyy>/<mm>/<dd>/<xyz>.parquet

# ----------------------
# Initialize output path
decoded_dir = Path(decoded_path)

# Initialize S3 and SNS client
s3_client = boto3.client("s3", aws_access_key_id=access_key, aws_secret_access_key=secret_key)
sns_client = boto3.client("sns", aws_access_key_id=access_key, aws_secret_access_key=secret_key)

# Basic logging
logging.basicConfig(level=logging.INFO)
logger = logging.getLogger()

# Execute your custom function
process_result = process_decoded_data(s3_client, sns_client, bucket_output, decoded_dir)
